#!/usr/bin/env python

import fprepo

if __name__ == '__main__':
    from optparse import OptionParser
    parser = OptionParser()
    (options, args) = parser.parse_args()

    repo = fprepo.Repo()

    try:
        if args[0] == 'add':
            if len(args) < 3:
                repo.help()
            repo.add(plugin=args[1], doc=args[2])
        elif args[0] == 'index':
            repo.index()
        elif args[0] == 'init':
            repo.init()
        elif args[0] == 'remove':
            if len(args) < 2:
                repo.help()
            repo.remove(name=args[1])
        else:
            repo.help()
    except IndexError:
        repo.help()
