import os

from setuptools import setup


setup(
    name='fprepo',
    version='1.0',
    description='Repository metadata generation CLI and library',
    author='Igor Shishkin',
    author_email='ishishkin@mirantis.com',
    url='https://review.fuel-infra.org/#/admin/projects/fuel-infra-packages/python-fprepo',
    keywords='fuel plugins tools',
    zip_safe=False,
    include_package_data=True,
    packages=['fprepo'],
    scripts=['bin/fprepocli.py'],
    install_requires=[
        'PyYAML',
    ]
)
